//########################
//InDesignCS3で選択された2つのオブジェクトの
//間隔を1mmとか入力された値に調整します。
//たけうちとおる
//########################


//ダイアログ表示のおまじない
app.scriptPreferences.userInteractionLevel=1699311169;
//indd_get_selected_box();

main();

function main(){
	if (app.documents.length == 0){
		alert("ドキュメントを開いてください");
		return;
	}
	if (app.selection.length != 2){
		alert("オブジェクトを2つ選択してください");
		return;
	}
	//ダイアログを作成する
	myDialog = app.dialogs.add({name:"オブジェクトの間隔調整"});
	with(myDialog){
		with(dialogColumns.add()){
			staticTexts.add({staticLabel:"選択された2つのオブジェク"});
			staticTexts.add({staticLabel:"トの上下間隔を調整します"});
			with(borderPanels.add()){
				with (dialogColumns.add()){
					var Listpercent = new Array( "0","0.5", "1.0", "1.5", "2.0");
					staticTexts.add({staticLabel:"上下の間隔"});
					var myPlus = realComboboxes.add({editUnits:MeasurementUnits.millimeters, editValue:1,minimumValue:-10,maximumValue:30,stringList:Listpercent});
				}
			}
		}
	}
	var myReturn = myDialog.show();
	//ここから処理を行う
	if (myReturn == true){
		var myPlusvalue = myPlus.editValue;
		myDialog.destroy();
		indd_move_selected_box(myPlusvalue);
	}
	else{
		myDialog.destroy();
	}
}

//選択されたオブジェクト動かす
function indd_move_selected_box(myPlusvalue){
	var box1obj = app.selection[0];
	var box2obj = app.selection[1];
	var box1b = box1obj.geometricBounds;//Y1,X1,Y2,X2
	var box2b = box2obj.geometricBounds;
	var box1top = box1b[0];
	var box2top = box2b[0];
	if(box1top > box2top){
		var boxnewtop = box2b[2]+myPlusvalue;
		var boxsa = box1top - boxnewtop;
		box1b[0] = boxnewtop;
		box1b[2] = box1b[2]-boxsa;
		box1obj.geometricBounds = box1b;
	}else{
		var boxnewtop = box1b[2]+myPlusvalue;
		var boxsa = box2top - boxnewtop;
		box2b[0] = boxnewtop;
		box2b[2] = box2b[2]-boxsa;
		box2obj.geometricBounds = box2b;
	}
}
